Phalcon.so not compiled on PHP5.5 upgrade

iso99

Well-Known Member
Jan 5, 2011
112
7
68
cPanel Access Level
Root Administrator
I upgraded PHP a few minutes ago and I'm using the phalcon 3rd-party module. Somehow, the phalcon extension was not compiled and Apache is returning an error:

Code:
PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20121212/phalcon.so'
I tried copying from no-debug-non-zts-20100525/ but PHP returns incompatibility error messages:

Code:
PHP Warning: PHP Startup: phalcon: Unable to initialize module
Module compiled with module API=20100525
PHP compiled with module API=20121212
Any advice?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,254
463
Hello :)

Are you using a custom php.ini file for this account? For instance, if you upload a PHPINFO file to the same directory and open it in a browser, which php.ini file is referenced?

Thank you.
 

iso99

Well-Known Member
Jan 5, 2011
112
7
68
cPanel Access Level
Root Administrator
No, just global php.ini. If it helps, I'm using Cloudlinux with mod_lsapi as well.

My problem is that phalcon.so was not on extension dir 2012xxxx.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,884
2,254
463
I am happy to see the issue is now resolved. Thank you for updating us with the outcome.